#!/bin/bash
#
# read required env variables
BASEDIR="$PWD"
source $BASEDIR/.env/itcm-shared.properties
source $BASEDIR/.env/itcm-db.properties
#
# docker login
echo "attempting to login to $artifactUrl"
docker login $artifactUrl -u $artifactUser -p $artifactPassword
# docker pull db image
echo "Attempting to pull $artifactUrl/itcm-$dbVersion"
docker pull $artifactUrl/itcm-db:$dbVersion
#
# create itc management specific docker network for $entityId
echo "Attempting to create $entityId-itcm-net docker network"
docker network create $entityId-itcm-net
# docker run itcm-db (data mounted as volume) connected to $entityId-itcm-net docker network
echo "Attempting to execute docker run command"
docker run --name $entityId-itcm-db \
           --restart=unless-stopped \
           --mount source=$entityId-itcm-db,target=/var/lib/postgresql/data \
           --network $entityId-itcm-net \
           -e POSTGRES_DB=itcmdb \
           -e POSTGRES_PASSWORD=$dbPassword \
           -d $artifactUrl/itcm-db:$dbVersion